Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.tunnel
Class BuildMessageGenerator

    java.lang.Object
      net.i2p.router.tunnel.BuildMessageGenerator

    public class BuildMessageGenerator

extends Object

Constructor Summary
`BuildMessageGenerator()`

Method Summary
`static void` | `createRecord(int recordNum, int hop, TunnelBuildMessage msg, TunnelCreatorConfig cfg, Hash replyRouter, long replyTunnel, I2PAppContext ctx, PublicKey peerKey)` Place the asymmetrically encrypted record in the specified record slot, containing the hop's configuration (as well as the reply info, if it is an outbound endpoint)
`static boolean` | `isBlank(TunnelCreatorConfig cfg, int hop)`
`static void` | `layeredEncrypt(I2PAppContext ctx, TunnelBuildMessage msg, TunnelCreatorConfig cfg, List order)` Encrypt the records so their hop ident is visible at the appropriate times

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildMessageGenerator

    public BuildMessageGenerator()

Method Detail

### createRecord

    public static void createRecord(int recordNum,
                                    int hop,
                                    TunnelBuildMessage msg,
                                    TunnelCreatorConfig cfg,
                                    Hash replyRouter,
                                    long replyTunnel,
                                    I2PAppContext ctx,
                                    PublicKey peerKey)

  Place the asymmetrically encrypted record in the specified record slot, containing the hop's configuration (as well as the reply info, if it is an outbound endpoint)

### layeredEncrypt

    public static void layeredEncrypt(I2PAppContext ctx,
                                      TunnelBuildMessage msg,
                                      TunnelCreatorConfig cfg,
                                      List order)

  Encrypt the records so their hop ident is visible at the appropriate times

  Parameters:
    `order` - list of hop #s as Integers. For instance, if (order.get(1) is 4), it is peer cfg.getPeer(4)

### isBlank

    public static boolean isBlank(TunnelCreatorConfig cfg,
                                  int hop)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD